// surveyor.js - script for displaying surveys using JS and cookies by Will Green - BBC IFL
function displaySurvey(surveyName, frequency, expires, multiChance)
{
	if (_getCookie(surveyName) == 1)
		return false;
	else
	{
		_setCookie(surveyName, '0');
		if (_getCookie(surveyName) == null)
			return false;
		
		if (frequency > Math.random())
		{
			noSurvey(surveyName, expires);
			return true;
		}
		else
		{
			if (!multiChance)
				noSurvey(surveyName, expires);
			return false;
		}
	}
}

function noSurvey(surveyName, expires)
{
	var ex = new Date();
	ex.setTime(ex.getTime() + 1000 * 60 * 60 * 24 * expires);
	var exStr = ex.toGMTString();
	_setCookie(surveyName, '1', exStr);
}

function _setCookie(surveyName, value, expires) 
{ 
	document.cookie = surveyName + "=" + escape(value) + "; path =/" + ((expires == null ) ? " " : "; expires=" + expires);
}

function _getCookie(surveyName)
{
	var name = surveyName + "=";
	var cook = document.cookie;
	if (cook.length > 0)
	{
		index = cook.indexOf(name);
		if (index != -1)
		{
			index += name.length;
			end = cook.indexOf(";",index);
			if (end == -1) 
				end = cook.length;
			return unescape(cook.substring(index, end));
		}
	}
	return null;
}
// end of surveyor.js
