#!/bin/sh

source_dir=/home/chris/workspace/aidbase
tomcat_dir=/home/chris/tomcat
webapp_dir=$tomcat_dir/webapps/aidbase
tomcat_user=chris
tomcat_group=chris
sudo=

rm -rf $webapp_dir

mkdir $webapp_dir
mkdir $webapp_dir/WEB-INF

echo Copying classes....
rm -rf $webapp_dir/WEB-INF/classes
mkdir -p $webapp_dir/WEB-INF/classes
cp -r $source_dir/bin/* $webapp_dir/WEB-INF/classes
cp    $source_dir/properties/*.properties $webapp_dir/WEB-INF/classes

echo Copying libs....
cp -r $source_dir/lib $webapp_dir/WEB-INF/lib

echo Copying jsps....
cp -r $source_dir/jsp/* $webapp_dir

echo Copying properties....
cp -r $source_dir/properties/web.xml $webapp_dir/WEB-INF

chown -R :$tomcat_group $webapp_dir

$sudo $tomcat_dir/bin/catalina.sh stop
$sudo $tomcat_dir/bin/catalina.sh start

echo Done.
