<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */

	String server_url = "http://localhost:" + request.getServerPort() + request.getRequestURI();
	String aidbase_url = server_url.replaceFirst("/[^/]+/[^/]*$", "") + "/page";
 %>

<html>
	<head>
		<meta http-equiv=Content-Type content="text/html; charset=iso-8859-1">
	</head>

	<body>

		<!-- Aidworld header -->
		<b>&lt; (<a href="http://www.aidworld.org">aidworld</a>) &gt;</b> - taking the world-wide-web world wide<br/>

    <hr />

		<p><big><big><b>Aidworld Low-bandwidth Simulator </b></big></big><small> ( beta )</small></p>

		<form name="main_form" onsubmit="original()" method="get">


			<b>URL: </b>(eg. http://www.reliefweb.int)<br>

			<blockquote>
				<input type="text" name="_ab_url" size="59" value="<%=
					( (request.getParameter("_ab_url") != null) ?
					  (request.getParameter("_ab_url")) : "http://" )
				%>">
				<input type="button" name="request" value="Original" onClick="original()">
				<input type="button" name="request" value="Aidbase" onClick="aidbase()">
				<!-- input type="button" name="request" value="Compare" onClick="compare()" -->
			</blockquote>

			<b>Bandwidth:</b>
			<blockquote>

				<table>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="0.3"></td><td>0.3 Kbps</td><td><small><i>['Deep field' HF radio]</i></small></td>
					</tr>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="1.0"></td><td>1.0 Kbps</td><td><small><i>[Typical HF radio]</i></small></td>
					</tr>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="2.0"></td><td>2.0 Kbps</td><td><small><i>[Best HF radio]</i></small></td>
					</tr>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="2.4"></td><td>2.4 Kbps</td><td><small><i>[Satellite (Geostationary); Mobile phone (analog network)]</i></small></td>
					</tr>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="9.6" checked></td><td>9.6 Kbps</td><td><small><i>[Satellite (low-earth orbit); Mobile phone (digital gsm)]</i></small></td>
					</tr>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="14.4"></td><td>14.4 Kbps</td><td><small><i>[Good landline connection in the South]</i></small></td>
					</tr>
					<tr>
						<td><input type="radio" name="_ab_kbps" value="full"></td><td>Full</td><td></td>
					</tr>

				</table>
			</blockquote>

		</form>

		<small>
			<b>Instructions for using the Demonstration:</b>

			Enter the URL of the website you want to test at low bandwidths, then select the bandwidth you want to simulate.
			You can select to view the original page, the text only version generated using aidbase, or a comparision of both pages loaded together.
		</small>

		<SCRIPT LANGUAGE="JavaScript"><!--
		function aidbase() {
			var url = document.main_form._ab_url.value
			var kbps = getBandwidthValue()

			window.open('throttlepage?_ab_key=1&_ab_kbps='+kbps+'&_ab_filt=1&_ab_url=' + url,'text', 'scrollbars=1,status=1,menubar=1,toolbar=1,resizable=1')
		}
		function original() {
			var url = document.main_form._ab_url.value
			var kbps = getBandwidthValue()

			window.open('throttlepage?_ab_key=2&_ab_kbps='+kbps+'&_ab_url=' + url,'orig', 'scrollbars=1,status=1,menubar=1,toolbar=1,resizable=1')
		}
		function compare() {
			var url = document.main_form._ab_url.value
			var kbps = getBandwidthValue()

			window.open('throttlepage?_ab_key=1&_ab_kbps='+kbps+'&_ab_filt=1&_ab_url=' + url,'text', 'height=675,width=500,left=0,top=0,scrollbars=1,status=1,menubar=1,toolbar=1,resizable=1')
			window.open('throttlepage?_ab_key=2&_ab_kbps='+kbps+'&_ab_url=' + url,'orig', 'height=675,width=500,left=512,top=0,scrollbars=1,status=1,menubar=1,toolbar=1,resizable=1')
		}
		function getBandwidthValue(){
			var buttonGroup = document.main_form._ab_kbps;
			for (var i=0; i<buttonGroup.length; i++) {
				if (buttonGroup[i].checked) {
					return buttonGroup[i].value
				}
			}
		}
		--></SCRIPT>


	</body>
</html>
