<%@ page import="org.aidworld.aidbase.util.Utils" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="org.aidworld.aidbase.request.Request" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%@ page import="java.net.URLDecoder" %>

<%
	String refText = request.getHeader("referer");
	
	if(refText == null){
		refText = "Referrer not found";
	}
	else
	{
		refText = refText.substring(refText.indexOf("_ab_url=")+8);
		refText = URLDecoder.decode(refText,"UTF-8");
	}
%>


<html><head><title><%=Version.getShortName() %> Bad page report</title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body>
<%= WebUtils.getPageHeader(request.getParameter("_page")) %>
<h2>Thank you for your feedback.</h2>
<p>
	We are constantly working on improvements and will investigate 
	this reported problem as soon as possible.<br>
	If you would like to give some more details about the problem
	you're having, you can fill in the form below. <br>
	Or, just <a href="javascript:window.close();">close this window</a>
	to carry on browsing.<br>
	<form action="/loband/additional" method="GET" name="commentform">
		<input type="hidden" name="_page" 
		    value="<%= request.getParameter("_page") %>">
     	<input type="hidden" name="additional" value="ok">
     	<input type="hidden" name="referrer" value="<%= refText %>">
     	Email address (optional):<br>
     	<input type="text" name="sender"><br>
		Comment:<br><textarea name="comment" rows="10" cols="50"></textarea><br>
		<input type="submit" value="Send detailed feedback">
	</form>
</p>
<p>
	Aidworld will not use your email address for any purpose other than responding to feedback, and will not disclose your email address to any third party.
	<br><br>
	<a href="javascript:window.close();">Close this window</a> 
	and return to loband.
</p>
<%=WebUtils.getPageFooter(request.getParameter("_page")) %>
</body></html>