<%@ page import="org.aidworld.aidbase.handler.RequestHandler" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%@ page import="org.aidworld.aidbase.util.Utils" %>
<%@ page import="java.net.URL" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */
%><html><head>
<title><%= Version.getName() %> Request Handlers</title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body>
<h1><%= Version.getName() %> Request Handlers</h1>
<table border width="100%">
	<tr class="aidbar">
		<th>Name</th>
		<th>URL</th>
		<th>Time</th>
		<th>Where</th>
	</tr>
	<%

RequestHandler [] handlers = Utils.getHandlers();

for (int i = 0; i < handlers.length; i++) {
	RequestHandler rh = handlers[i];
	String url = rh.getURL();
	if (url == null) url = "(null)";
	long elapsedMillis = System.currentTimeMillis() - rh.getStartTimeMillis();
	/*
	StackTraceElement[] trace = rh.getStack();
	String lastCall = (trace.length > 1) ? trace[1].toString() : "unknown";
	*/
	String currentTask = rh.getCurrentTaskName();
	if (currentTask == null) currentTask = "(null)";
	
	%>
	<tr>
		<td><%= rh.getName() %></td>
		<td><%= url %></td>
		<td><%= ((float)elapsedMillis) / 1000 %></td>
		<td><%= currentTask %></td>
	</tr>
	<%
}

%>
</table>
</body></html>