package org.aidworld.jspc;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import org.aidworld.aidbase.webui.util.WebUtils;
import org.aidworld.aidbase.core.Version;

public class instruction_jsp extends HttpJspBase {


  private static java.util.Vector _jspx_includes;

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      out.write("\n\n\n");
      out.write("<html>");
      out.write("<head>");
      out.write("<title>loband - instructions");
      out.write("</title>\n");
      out.print( WebUtils.getPageHeadHtml() );
      out.write("\n");
      out.write("</head>\n\n");
      out.write("<body>\n\n");
      out.print( WebUtils.getPageHeader(null) );
      out.write("\n\n");
      out.write("<h2>Instructions");
      out.write("</h2>\n\n");
      out.write("<p>");
      out.write("<h3>Basic Concepts");
      out.write("</h3>\n\n");
      out.write("<p>\n\t");
      out.write("<em>");
      out.print( Version.getName() );
      out.write("</em> is a service that simplifies web pages, in order to \n\tmake them download faster over slow Internet connections.\n");
      out.write("</p>\n\n");
      out.write("<p>\n\tTo use the service, type the URL (web address) of the page you want\n\tto visit into the grey bar at the top of the page, and click the \"Go\" \n\tbutton. For example:\n");
      out.write("</p>\n\n");
      out.write("<table class=\"aidbar\">\n\t");
      out.write("<tr class=\"aidbar\">\n\t\t");
      out.write("<td class=\"ableft\">&gt;(");
      out.write("<u>");
      out.print( Version.getName() );
      out.write("</u>)-");
      out.write("</td>\n\t\t");
      out.write("<td class=\"abmid\">\n\t\t\t");
      out.write("<input class=\"aburl\" name=\"_ab_url\" \n\t\t\t\tvalue=\"http://www.mywebsite.org\" type=\"text\">\n\t\t\t");
      out.write("<input name=\"_ab_request\" value=\"Go\" type=\"submit\">\n\t\t");
      out.write("</td>\n\t\t");
      out.write("<td class=\"abright\">&nbsp;");
      out.write("</td>\n\t");
      out.write("</tr>\n");
      out.write("</table>\n\n");
      out.write("<p>\n\tOnce you start browsing through loband, this grey bar will be available \n\tat the top of each page.\n");
      out.write("</p>\n\n");
      out.write("<h3>What is a simplified page?");
      out.write("</h3>\n\n");
      out.write("<p>\n\tThe simplified page viewed through ");
      out.print( Version.getName() );
      out.write(" will contain the same text\n\tinformation as the original. The formatting of the simplified page will \n\tbe as similar to the original as possible, with colours and images \n\tremoved. On certain pages you may find that things have moved around \n\tto some degree.\n");
      out.write("</p>\n\n");
      out.write("<p>\n\tIt is possible that you will want to view something that ");
      out.print( Version.getName() );
      out.write(" filters \n\tout. Images contained in the original page are replaced by links \n\tcontaining an 'i' in square brackets, e.g. ");
      out.write("<u>[i-MainMap]");
      out.write("</u> or \n\t");
      out.write("<u>[i]");
      out.write("</u>. In either case, by clicking on the link, the original image \n\tcan be viewed. It is also possible to view the entire original page using \n\tthe ");
      out.write("<u>original");
      out.write("</u> link on the grey bar at the top of the page.\n");
      out.write("</p>\n\n");
      out.write("<h3>What if something's wrong with the page?");
      out.write("</h3>\n\n");
      out.write("<p>\n\tWe are keen to make as many pages accessible as possible.\n\tOn a small number of pages, you may find that the simplified page is not \n\tas usable as the original version. \n\tIf this happens, you can let us know about the problem by using the \n\t");
      out.write("<u>report error");
      out.write("</u> link on the top grey bar, which will send us an alert \n\tabout the page you are trying to view.\n");
      out.write("</p>\n \n");
      out.write("<p>\n\tIf you are unable to use a simplified page, you can use the \n\t");
      out.write("<u>original");
      out.write("</u> link on the top grey bar to view the original page.\n");
      out.write("</p>\n\n");
      out.write("<h3>Reporting a problem");
      out.write("</h3>\n\n");
      out.write("<p>\n\tIf you choose to let us know about a problem by clicking on the \n\t");
      out.write("<u>report error");
      out.write("</u> link, you will be given the option to tell us more \n\tdetails about the problem you had - this information can be useful to \n\tus in finding and fixing the problem. You will also be given the option \n\tto tell us your email address, which will allow us to respond personally \n\tto your error report. Although time pressures mean that we cannot \n\tguarantee to respond to each error report, we constantly use feedback \n\tfrom our users to make improvements to the ");
      out.print( Version.getName() );
      out.write(" service.\n");
      out.write("</p>\n\n");
      out.write("<p>\n\tAidworld will not use your email address for any purpose other than\n\tresponding to feedback, and will not disclose your email address to any \n\tthird party.\n");
      out.write("</p>\n\n");
      out.write("<p>");
      out.write("<a href=\"");
      out.print( WebUtils.getApplicationUrl() );
      out.write("\">back to main page");
      out.write("</a>");
      out.write("</p>\n\n");
      out.print( WebUtils.getPageFooter() );
      out.write("\n\n");
      out.write("</body>");
      out.write("</html>");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
