package org.aidworld.aidbase.offline.unit;

import org.aidworld.aidbase.core.BasedTest;

public class ImageTests extends BasedTest{

	/**
	 * ImageAndMapFilter
	 * case 1 - image has empty alt attribute
	 * case 2 - image has non-empty alt attribute
	 * case 3 - image has no alt attribute at all
	 * 
	 * @throws Exception
	 */

	public void testImageModification() throws Exception 
	{    
        response = getTestPageThroughAidbase();

        assertTrue("Image tag with slash in the alt tag not as expected.", 
        		response.getText().indexOf("altwithslash.gif?_ab_type=binary\" target=\"_new\">" +
        				"[i-altwithslash]</a>") != -1);
        assertTrue("Image tag with normal alt tag not as expected.", 
        		response.getText().indexOf("[i-test image]</a>") != -1);
        assertTrue("Image tag without the alt tag not as expected.", 
        		response.getText().indexOf("withoutalttag.gif?_ab_type=binary\" " +
        				"target=\"_new\">[i-withoutalttag]</a>") != -1); 
    }
}
