<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="java.net.URLEncoder" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */
%>
<%--
  - Display the results of a simple search
  -
  - Attributes to pass in:
  -
  -   htmlheaderfragment  - A string containing a html header fragment (without the header tags)
  -   htmlbodyfragment    - A string containing a html body fragment (without the body tags)
  --%>
<%
    // Get the attributes
    String htmlHeader = (String) request.getAttribute("htmlheaderfragment");
    String htmlBody   = (String) request.getAttribute("htmlbodyfragment");
    String originalURL = (String) request.getAttribute("originalURL");
    String originalURLShort = originalURL;
    
    if (htmlHeader==null) htmlHeader = "";
    if (htmlBody==null) htmlBody = "";
    if (originalURL==null) originalURL = "";
    
    if (originalURL.length() > 30) {
    	originalURLShort = originalURL.substring(0,30) + "...";    
    }

%>
<% response.setContentType("text/html; charset=UTF-8"); %>
<html>
  <head>
    <%= htmlHeader %>
  </head>
  <body>

 <table bgcolor="<%= Version.getColour() %>" width="100%">
  <tr>
   <td><%@ include file = "filteredby.html" %></td>
   <td><%= Version.getName()                %></td>
   <td>
   	 <form action="throttlepage" method="get">
  	 <input type="hidden" name="_ab_kbps" value="<%= request.getParameter("_ab_kbps") %>">
  	 <input type="hidden" name="_ab_filt" value="1">
  	 <input type="hidden" name="_ab_key"  value="1">
  	 <input type="text" name="_ab_url" size="40" value="http://">
  	 <input type="submit" name="_ab_request" value="Go">
	 </form>
   </td>
   <td>
	     originally: <a href="<%= 
	     	"throttlepage?_ab_url=" + URLEncoder.encode(originalURL, "UTF-8")
	     	+ "&_ab_kbps=" + request.getParameter("_ab_kbps")
	     	+ "&_ab_key=2"
	     %>"> <%= originalURLShort %> </a>
   </td>
  </tr>
 </table>

<hr/>

<p><%= htmlBody %></p>

<hr/>
<%@ include file = "filteredby.html" %>
</body>
</html>