<%@ page import="org.aidworld.aidbase.util.CompressCounter" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="java.text.NumberFormat" %>

<html><head><title>loband - instructions</title>
<%= WebUtils.getPageHeadHtml() %>
</head>

<body>

<form action="page" method="get">
<table class="aidbar">
<form action="page" method="get" name="aidbar">
	<tr class="aidbar">
		<td class="ableft">
			&gt;(<a href="<%= WebUtils.getApplicationUrl() %>" title="<%= Version.getVersion() %>"><%= Version.getName() %></a>)- 
		</td>
		<td class="abmid">
			<input class="aburl" type="text" 
				name="<%= WebUtils.getAidbaseUrlParam() %>" value="http://"> 
			<input type="submit" name="_ab_request" value="Go">
		</td>
		<td class="abright">&nbsp;</td>
	</tr>
	</form>  
</table>
</form>

<% double[] totals= new double[3];
for(int i=0; i<3;i++){totals[i]=CompressCounter.total(i);}
NumberFormat nfp = NumberFormat.getPercentInstance();
NumberFormat nfn = NumberFormat.getNumberInstance();
NumberFormat nfi = NumberFormat.getIntegerInstance();
nfn.setMaximumFractionDigits(2);

double downsave = (totals[0]-totals[1]);
int exponent=0;
String exte="";
while(downsave>1024&&exponent<3){
	downsave/=1024;
	exponent+=1;
}
if(exponent==1){exte="k";}
if(exponent==2){exte="M";}
if(exponent==3){exte="G";}
%>

<h3>Statistics for Loband Use</h3>
<p>Percentage by which webpages have been compressed on average by loband:
<%= nfp.format(1- totals[1]/totals[0]) %></p>
<p>Total amount of download traffic saved by our users:
<%= nfn.format(downsave) %> <%= exte %>b</p>
<p>Total number of requests made to loband:
<%= nfi.format(totals[2]) %></p>
<p>Raw data: <%=totals[0]%>; <%=totals[1]%>; <%=totals[2]%></p>
<p><a href="http://www.loband.org/loband/main">back to main page</a></p>

<%= WebUtils.getPageFooter() %>

</body></html>
