<%@ page import="java.io.PrintWriter" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */
%>
<%--
  - Display an internal error
  -
  - Attributes to pass in:
  -
  -   redirect - the URL to redirect to
  -
  --%>
<%
    // Get the attributes
    String redir = (String) request.getAttribute("redirectUrl");
	String originalUrl = (String)(request.getAttribute("original.url.full"));
%>
<html>
<head>
<title><%= Version.getName() %></title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body>
<%= WebUtils.getPageHeader(originalUrl) %>

<h3>Blocked Website</h3>

<p>Sorry, the website you tried to access is blocked:</p>

	<ul><li><a href="<%= originalUrl %>"><%= originalUrl %></a></li></ul>

<%
if(redir != null && !redir.equals("")) {
%>
	<p>Please try the following website instead:</p>
	<ul><li><a href="<%=redir%>"><%=redir%></a></li></ul>
<%
} else {
%>
	<p>Please try at access the website directly, 
		by clicking on the link above.</p>
<%
}
%>

<%@ include file="errorwriter.jsp" %>
<%-- Debug.jsp will only output html if the log level is set to debug --%>
<%@ include file="debug.jsp" %>

<%= WebUtils.getPageFooter() %>
