<%@ page import="java.io.PrintWriter" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */
%>
<%--
  - Display an internal error
  -
  - Attributes to pass in:
  -
  -   message - a specific user friendly error message
  -
  --%>
<%
    // Get the attributes
    String message = (String) request.getAttribute("message");
	String originalUrl = (String)(request.getAttribute("original.url.full"));
%>

<html>
<head>
<title><%= Version.getName() %></title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body>
<%= WebUtils.getPageHeader(originalUrl) %>

<h3>Incompatible Document</h3>

<p>This type of document cannot be filtered yet:</p>

	<ul><li><a href="<%= originalUrl %>"><%= originalUrl %></a></li></ul>

<p>You could try the following:</p>

<ul>
    <li>Click on the link above to view the file directly, bypassing 
    	<%= Version.getName() %></li>
    <li>Press the 'back' button on your browser and try another link</li>
    <li>Go back to the 
    	<b><a href="index.html"><%= Version.getName() %> main page</a></b>
    	and search for another page</li>
</ul>

<%@ include file="errorwriter.jsp" %>

<%= WebUtils.getPageFooter() %>
