<%@ page import="java.io.PrintWriter" %>
<%@ page import="java.io.IOException" %>
<%@ page import="java.net.URL" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */
%><%--
  - Display an internal error
  -
  - Attributes to pass in:
  -
  -   exception  - The exception (MalformedURL or otherwise) that occurred
  -
  --%><%
    String linkprefix = WebUtils.getContextPath() 
    	+ WebUtils.getFilterServletPath() + "?" 
    	+ WebUtils.getAidbaseUrlParam() + "=";
	String originalUrl = (String)(
		request.getParameter(WebUtils.getAidbaseUrlParam()));
%>
<html>
<head>
<title><%= Version.getName() %></title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body>
<%= WebUtils.getPageHeader(originalUrl) %>

<h3>Invalid URL</h3>

<p>Sorry, but we couldn't understand the address:</p>

	<ul><li><%= originalUrl %></li></ul>

<p>This could be a fault with <%= Version.getName() %>, or with the 
website that pointed you here.</p>

<p>You could try the following:</p>

<ul>
	<li>If you intended to perform a search, why not try one 
		of the following popular search engines: 
		<a href="<%= WebUtils.getLobandCallUrl("http://www.google.com", "") %>">Google</a>,
		<a href="<%= WebUtils.getLobandCallUrl("http://www.yahoo.com", "") %>" >Yahoo</a> or
		<a href="<%= WebUtils.getLobandCallUrl("http://www.msn.com", "") %>" >MSN</a>.</li>
    <li>Check that the address above is correct</li>
    <li>Press the 'back' button on your browser and try another link</li>
    <li>Go back to the 
    	<b><a href="<%= WebUtils.getContextPath() %>"><%= Version.getName() %> main page</a></b>
    	and try again</li>
</ul>

<%@ include file="errorwriter.jsp" %>
<%-- Debug.jsp will only output html if the log level is set to debug --%>
<%@ include file="debug.jsp" %>

<%= WebUtils.getPageFooter() %>
