<%@ page import="org.aidworld.aidbase.core.Version" %>
<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%@ page import="java.io.FileNotFoundException" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */

	String requestedUrl = request.getRequestURL().toString();
%>

<html>
<head>
<title><%= Version.getName() %></title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body>
<%= WebUtils.getPageHeader(null) %>
<h3>Page Not Found</h3>

<p>Sorry, but the page you requested is not on the
<%= Version.getName() %> server:</p>

<ul>
<li><a href="<%= requestedUrl %>"><%= requestedUrl %></a>
</ul>

<p>Possible causes of this error:</p>

<ul>
<li>The website uses JavaScript and is not compatible with <%= Version.getName() %>
<li>You followed a broken link from 
<%
	String referer = request.getHeader("Referer");
	if (referer != null) {
		%><a href="<%= referer %>"><%= referer %></a><%
	} else {
		%><a href="javascript:history.back()">the referring page</a><%
	}
%>
</ul>

<p>Sorry for the inconvenience!</p>

<p>You may wish to try another address, or 
<a href="<%= WebUtils.getContextPath()%>">go to the main page</a>.
</p>

<%
	request.setAttribute("original.url.full", requestedUrl);
	request.setAttribute("exception", new FileNotFoundException());
%>
<%@ include file="errorwriter.jsp" %>

<%= WebUtils.getPageFooter() %>
