<%@ page import="org.aidworld.aidbase.webui.util.WebUtils" %>
<%@ page import="org.aidworld.aidbase.core.Version" %>
<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */
%>
<%--
  - The main search page.
  -
  - Attributes to pass in:
  -
  -   <none>
  --%>
<html>
<head>
<title><%= Version.getName() %></title>
<%= WebUtils.getPageHeadHtml() %>
</head>
<body onload="document.aidbar.<%= WebUtils.getAidbaseUrlParam() %>.focus()">
<table class="aidpage">
	<form action="page" method="get" name="aidbar">
	<tr class="aidbar">
		<td class="ableft">
			&gt;(<a href="main" title="Version: <%= Version.getVersion() %>"><%= Version.getName() %></a>)- 
		</td>
		<td class="abmid">
			<input class="aburl" type="text" 
				name="<%= WebUtils.getAidbaseUrlParam() %>" value="http://"> 
			<input type="submit" name="_ab_request" value="Go">
		</td>
		<td class="abright">&nbsp;</td>
	</tr>
	</form>  
	
	<tr class="aidspace">
		<td colspan="3">
			<p>&nbsp;</p>

			<div class="mono" style="font-size: 400%">
				&gt;(<%= Version.getName() %>)-
			</div>

			<p>&nbsp;</p>
			
			<p>Enter the address of the web page* to simplify in the box above.</p>
			
			<p>Or search the web with <%= Version.getName() %> by clicking on:
			<a href="<%= WebUtils.getLobandCallUrl("http://www.google.com", "") %>">Google</a> or
			<a href="<%= WebUtils.getLobandCallUrl("http://www.yahoo.com", "") %>" >Yahoo</a>.</p>
			
			<p><a href="instruction.jsp">More instructions here</a>.</p>
			
			<p>&nbsp;</p>
			
		</td>
	</tr>

	<tr class="aidspace"><td colspan="3">
		<table width="70%" align="center"><tr class="aidspace"><td>
			<small>
			<p>
			*Not all websites work through Loband, in particular most webmail
			services and secure shopping sites have problems. We are working
			to resolve these issues, and thank you for your patience.
			</p>
			</small>
		</td></tr></table>
	</td></tr>
	
	<tr class="aidbar">
		<td colspan="2" class="ableft">
			&gt;(<a href="main" title="Version: <%= Version.getVersion() %>"><%= Version.getName() %></a>)- 
		</td>
		<td class="abright">designed by
			(<a href="http://www.aidworld.org">aidworld</a>)
		</td>
	</tr>
</table>
</body></html>