<%
/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */

	if (request.getParameter("redirected") == null) {
		Cookie testCookie = new Cookie("test", "value1");
		testCookie.setPath(request.getContextPath() 
			+ "/test/cookiesNamesTest1.jsp");
		testCookie.setMaxAge(120);
		response.addCookie(testCookie);
		response.sendRedirect(
			request.getRequestURI().replaceAll("Test1","Test2"));
	} else {
		Cookie [] cookies = request.getCookies();
		boolean foundCookie = false;

		if (cookies != null){
			for (int i = 0; i < cookies.length; i++) {
				if (cookies[i].getName().equals("test") &&
					cookies[i].getValue().equals("value1")) {
					foundCookie = true;
					break;
				}
			}
		}

		if (foundCookie) {
			response.sendRedirect(
				request.getRequestURI().replaceAll("Test1","Test2")
					+ "?redirected=true");
		} else {
		%><html>
				<body>
					Cookie set from cookiesNamesTest1 failed!
				</body>
			</html><%
		}
	}
%>