package org.aidworld.jspc.error;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.apache.jasper.runtime.*;
import java.io.PrintWriter;
import org.aidworld.aidbase.core.Version;
import org.aidworld.aidbase.webui.util.WebUtils;
import org.aidworld.aidbase.request.Request;
import org.apache.log4j.Logger;
import org.apache.log4j.Level;
import org.apache.log4j.PatternLayout;
import org.apache.log4j.FileAppender;
import mumail.net.SmtpClient;
import java.util.Properties;
import org.aidworld.aidbase.util.Utils;
import org.aidworld.aidbase.webui.util.WebUtils;
import java.io.*;
import java.io.PrintWriter;
import org.apache.log4j.Logger;

public class blockurl_jsp extends HttpJspBase {


  private static java.util.Vector _jspx_includes;

  static {
    _jspx_includes = new java.util.Vector(2);
    _jspx_includes.add("/error/errorwriter.jsp");
    _jspx_includes.add("/error/debug.jsp");
  }

  public java.util.List getIncludes() {
    return _jspx_includes;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    javax.servlet.jsp.PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html;charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      out.write("\n");
      out.write("\n");

/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */

      out.write("\n");
      out.write("\n");

    // Get the attributes
    String redir = (String) request.getAttribute("redirectUrl");
	String originalUrl = (String)(request.getAttribute("original.url.full"));

      out.write("\n");
      out.write("<html>\n");
      out.write("<head>\n");
      out.write("<title>");
      out.print( Version.getName() );
      out.write("</title>\n");
      out.print( WebUtils.getPageHeadHtml() );
      out.write("\n");
      out.write("</head>\n");
      out.write("<body>\n");
      out.print( WebUtils.getPageHeader(originalUrl) );
      out.write("\n\n");
      out.write("<h3>Blocked Website");
      out.write("</h3>\n\n");
      out.write("<p>Sorry, the website you tried to access is blocked:");
      out.write("</p>\n\n\t");
      out.write("<ul>");
      out.write("<li>");
      out.write("<a href=\"");
      out.print( originalUrl );
      out.write("\">");
      out.print( originalUrl );
      out.write("</a>");
      out.write("</li>");
      out.write("</ul>\n\n");

if(redir != null && !redir.equals("")) {

      out.write("\n\t");
      out.write("<p>Please try the following website instead:");
      out.write("</p>\n\t");
      out.write("<ul>");
      out.write("<li>");
      out.write("<a href=\"");
      out.print(redir);
      out.write("\">");
      out.print(redir);
      out.write("</a>");
      out.write("</li>");
      out.write("</ul>\n");

} else {

      out.write("\n\t");
      out.write("<p>Please try at access the website directly, \n\t\tby clicking on the link above.");
      out.write("</p>\n");

}

      out.write("\n\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");

    // Get the attributes
	String    errorwriter_page_url  = null;
	Throwable errorwriter_exception = null;
	
	String errorwriter_report = "";

	try {
		errorwriter_page_url =
			(String)   ( request.getAttribute("original.url.full") );
		if (errorwriter_page_url == null) {
			errorwriter_page_url = request.getParameter(
				WebUtils.getAidbaseUrlParam());
		}
    	errorwriter_exception = 
    		(Throwable)( request.getAttribute("exception") );
 	} catch (Throwable t) {
 		errorwriter_report += "(Error decoding error information: "+t+")\n";
 	}

	errorwriter_report += "Page: ";
 		
	if (errorwriter_page_url != null) {
		errorwriter_report += errorwriter_page_url;
	} else {
		errorwriter_report += "(null)";
	}
	
	errorwriter_report += " GIVES ERROR: ";
	
	if (errorwriter_exception != null) {
		errorwriter_report += errorwriter_exception.toString();
	} else {
		errorwriter_report += "(null)";
	}
	
    final Logger logger = Logger.getLogger("errorwriter");
    logger.setLevel((Level) Level.DEBUG);
	
	String logfile = Utils.getLogsDirectory()+"/error_reports";

	try {
		PatternLayout layout = new PatternLayout("%d{dd/MM HH:mm:ss} %-5p %c{1}: %m%n");
		FileAppender appender = new FileAppender(layout, logfile);
	    
	    logger.addAppender(appender);
		logger.error(errorwriter_report);
	    logger.removeAppender(appender);
	} 
	catch (Exception e)
	{
    	
      out.write("\n    \t\t");
      out.write("<p>");
      out.write("<small>\n    \t\tSorry, could not log the error to ");
      out.print( logfile );
      out.write(":\n    \t\t");
      out.print( e.getMessage() );
      out.write(". The administrator may need to change the \n    \t\t");
      out.write("<code>application.logsdirectory");
      out.write("</code> property in the\n    \t\t");
      out.write("<code>application.properties");
      out.write("</code> file.\n    \t\t");
      out.write("</small>");
      out.write("</p>\n    \t");

	}

	try {
		Properties props = Utils.getAppProps();
		final String smtphost = props.getProperty("application.smtphost");
		final String smtpport = props.getProperty("application.smtpport");	
		final String from     = props.getProperty("application.from");
		final String to       = props.getProperty("application.to");
	    int smtpportint = 0;

		if (smtphost == null || smtphost.equals(""))
			throw new Exception(
				"<code>application.smtphost</code> is not configured");	

		if (smtpport == null || smtpport.equals(""))
			throw new Exception(
				"<code>application.smtpport</code> is not configured");	

	    try {
	    	smtpportint = Integer.parseInt(smtpport);
	    } catch (Exception x) {
	    	throw new Exception(
	    		"<code>application.smtpport</code> is not a valid integer");
	    }

	    if (smtpportint < 1 || smtpportint > 65535)
	    	throw new Exception(
	    		"<code>application.smtpport</code> must be a " +
	    		"valid IPv4 port number, between 1 and 65535");
	    	
		if (from == null || from.equals(""))
			throw new Exception(
				"<code>application.from</code> is not configured");	
				
		if (to == null || to.equals("")) 
			throw new Exception(
				"<code>application.to</code> is not configured");

		logger.debug("sending error report by mail to "+to+
			" using "+smtphost+"...");
			
		class ErrorReportThread extends Thread
		{
			private Logger logger;
			private String report, smtphost, from, to;
			private int smtpport;
			
			public ErrorReportThread(String report, Logger logger,
				String smtphost, int smtpport, String from, String to) {
				super("ErrorReportThread");
				this.report   = report;
				this.logger   = logger;
				this.smtphost = smtphost;
				this.smtpport = smtpport;
				this.from     = from;
				this.to       = to;
			}
			
			public void run()
			{
				try 
				{
			   		SmtpClient smtp = new SmtpClient(smtphost, smtpport);
					smtp.submitMail(from, to, "[Error report]", report, "UTF-8");
					smtp.Disconnect();
					logger.debug("mail sent");
				} 
				catch (Exception e)
				{
					logger.warn("failed to send mail: "+e.toString());
				}
			}
		}
		
		Thread t = new ErrorReportThread(errorwriter_report, logger, 
			smtphost, smtpportint, from, to);
		t.start();	
	} 
	catch (Exception ex2) 
	{
    	
      out.write("\n    \t\t");
      out.write("<p>");
      out.write("<small>\n    \t\tSorry, could not send error report by e-mail, because\n    \t\tthe webmaster has not correctly configured the\n    \t\te-mail settings in ");
      out.write("<code>application.properties");
      out.write("</code>\n    \t\t(");
      out.print( ex2.getMessage() );
      out.write(")");
      out.write("</small>");
      out.write("</p>\n    \t");

    }

      out.print( Utils.getLogsDirectory() );
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");

/* ------------------------------------------------------------------------
 * Aidbase simplifies HTML pages to reduce bandwidth usage, et cetera.
 * Copyright (C) 2002-2004 Aidworld Humanitarian ICT, Cambridge, UK. 
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, 
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 * 
 * This software is intended to be as accessible as possible. If acceptance 
 * of this license conflicts with your interests, please contact us to 
 * discuss how we might be able to accommodate your requirements. 
 * 
 * Please look at our website, http://www.aidworld.org, to find out more 
 * about our organisation and to read our mission statement. 
 * ------------------------------------------------------------------------
 */

    Logger LOG = Logger.getLogger("jsp");

    // Get the attributes
    Throwable e = (Throwable) request.getAttribute("exception");

	if (LOG.isDebugEnabled())
	{

      out.write("\n\n");
      out.write("<hr/>\n  \n");
      out.write("<h4>Technical Information");
      out.write("</h4>\n\n");
      out.write("<p>The exception was:");
      out.write("</p>\n\n");

		Throwable te = e;
	
		while (te != null) {
			
      out.write("<p>");
      out.write("<pre>");

			te.printStackTrace(new PrintWriter(out));
			
      out.write("</pre>");
      out.write("</p>");

			
			te = te.getCause();
			if (te != null) {
				
      out.write("\n\t\t\t\t");
      out.write("<p>Caused by:");
      out.write("</p>\n\t\t\t\t");

			}
		}
	} // LOG.isDebugEnabled()


      out.write("\n\n");
      out.print( WebUtils.getPageFooter() );
      out.write("\n");
    } catch (Throwable t) {
      out = _jspx_out;
      if (out != null && out.getBufferSize() != 0)
        out.clearBuffer();
      if (pageContext != null) pageContext.handlePageException(t);
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(pageContext);
    }
  }
}
