/*
 * Copyright (C) 1998-2001 Mark Tuempfel and Uli Luckas
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is" distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * To reach the Authors you can send E-Mail to:
 *	Mark Tuempfel <marktop@cs.tu-berlin.de>
 *      Uli Luckas    <luckas@cs.tu-brelin.de>
 *
 */

package mumail.net;


/**
 *
 **/
public interface MailClient{


  /**
   *
   **/
  public void Connect(String host, int port, String userName, String passwd) throws Exception;

  /**
   *
   **/
  public void Disconnect() throws Exception;

  /**
   *
   **/
  public boolean isConnected();


  /**
   *
   **/
  public int getCount() throws Exception;

  /**
   *
   **/
  public int getSize(int index) throws Exception;

  /**
   *
   **/
  public String[] getHeader(int index) throws Exception;

  /**
   *
   **/
  public String[] getMail(int index) throws Exception, InterruptedException;

  /**
   *
   **/
  public void deleteMail(int index) throws Exception;



}
