package org.aidworld.aidbase.specialsites;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.aidworld.aidbase.core.BasedTest;

public class PaypalDotComTests extends BasedTest{

	public static Test suite(){
		return new TestSuite( PaypalDotComTests.class );
	}
	
    //Doesn't work unless you have trusted certificate
    public void testAidbaseShouldFollowSecureLinks() throws Exception{
    	response = getThroughAidbase("https://www.paypal.com/");
    	assertTrue("Didn't switch to secure mode",
    			response.getURL().getProtocol().indexOf("https") > -1);
    }
    //test if https redirection is working 
    //input https://www.paypal.com redirects to original page
    public void testHttpsRedirectionShouldWork()throws Exception {
		response = getThroughAidbase("https://www.paypal.com");
		assertTrue("Https redirection doesn't work", response.getText().indexOf("loband")==-1);
	
		}
}
